Package org.springframework.asm

# Class SpringAsmInfo

java.lang.Object
org.springframework.asm.SpringAsmInfo

public final class SpringAsmInfo extends Object
Utility class exposing constants related to Spring's internal repackaging of the ASM bytecode library: currently based on ASM 9.x plus minor patches.

See package-level javadocs for more information on `org.springframework.asm`.

Since:
  3.2
Author:
  Chris Beams, Juergen Hoeller

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ASM_VERSION`
The ASM compatibility version for Spring's ASM visitor implementations: currently `Opcodes.ASM10_EXPERIMENTAL`, as of Spring Framework 5.3.

## Constructor Summary

Constructors
Constructor
Description
`SpringAsmInfo()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ASM_VERSION

public static final int ASM_VERSION
The ASM compatibility version for Spring's ASM visitor implementations: currently `Opcodes.ASM10_EXPERIMENTAL`, as of Spring Framework 5.3.

See Also:
  - Constant Field Values

## Constructor Details

### SpringAsmInfo

public SpringAsmInfo()